> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an account invitations

> This method gets all invitations issued within an organization. If the `email` parameter is provided, it returns only the invitations sent for the account assigned with the `email` (within the requester's organization).

**Required scopes:** `accounts.invitations--all:ro`


## OpenAPI

````yaml /api/global-accounts/openapi.json get /accounts/invitations
openapi: 3.0.0
info:
  title: Global Accounts API
  description: >-
    API used to manage Organizations and Accounts for multiple products. Also
    responsible for authorization and authentication processes.
  version: 2.0.0
servers:
  - url: https://accounts.livechat.com/v2
    description: Main production server URL
security: []
paths:
  /accounts/invitations:
    get:
      tags:
        - Accounts
      summary: Get an account invitations
      description: >-
        This method gets all invitations issued within an organization. If the
        `email` parameter is provided, it returns only the invitations sent for
        the account assigned with the `email` (within the requester's
        organization).
      parameters:
        - in: query
          name: email
          schema:
            type: string
            format: email
          description: Email address of the invited account.
      responses:
        '200':
          description: 'OK: Returns a list of account invitations.'
          content:
            application/json:
              schema:
                type: array
                items:
                  description: An entity of the account invitation.
                  type: object
                  required:
                    - email
                  properties:
                    invitation_id:
                      type: string
                      format: uuid
                      readOnly: true
                      description: Unique account invitation identifier.
                    name:
                      type: string
                      description: >-
                        Invited account's name (nick; first, second name; or
                        both). If the invitation was issued to an existing
                        account, this parameter will be replaced with the
                        existing name.
                      exclusiveMaximum: false
                      maxLength: 191
                    email:
                      type: string
                      format: email
                      description: Invited account's email address.
                      exclusiveMaximum: false
                      maxLength: 128
                    product:
                      type: string
                      readOnly: true
                      description: The product to which the account is invited.
                    creator_id:
                      type: string
                      format: uuid
                      readOnly: true
                      description: >-
                        Unique identifier of the account that created the
                        invitation.
                    organization_id:
                      type: string
                      format: uuid
                      description: >-
                        The ID of the organization to which the account is
                        invited.
                      default: null
                      nullable: true
                    updated_at:
                      readOnly: true
                      type: string
                      format: date-time
                      description: The date of the account invitation's last update.
                    created_at:
                      readOnly: true
                      type: string
                      format: date-time
                      description: The date of the account invitation's creation.
              example:
                - invitation_id: 496a94f2-cbbf-444e-a3cb-305b9f5f8cbb
                  name: John
                  email: john@example.com
                  product: LiveChat
                  creator_id: 496a94f2-cbbf-444e-a3cb-305b9f5f8cbb
                  organization_id: b2185556-634c-4ecf-b4c9-bcf8b65bc853
                  updated_at: '2026-06-03T10:53:04.000Z'
                  created_at: '2026-06-03T10:53:04.000Z'
        '401':
          description: Unauthorized, missing, or invalid authorization.
          content:
            application/json:
              schema:
                allOf:
                  - description: The default error object.
                    type: object
                    properties:
                      error:
                        description: The error code.
                        type: string
                        enum:
                          - bad_request
                          - invalid_request
                          - unauthorized_client
                          - unauthorized
                          - access_denied
                          - unsupported_response_type
                          - invalid_scope
                          - server_error
                          - temporarily_unavailable
                          - unsupported_grant_type
                          - invalid_grant
                          - invalid_client
                          - conflict
                          - resource_not_found
                          - join_link_expired
                          - traffic_blocked
                          - not_implemented
                      error_description:
                        type: string
                      sub_error:
                        description: The error subcode.
                        type: string
                        nullable: true
                      request_id:
                        description: Unique request identifier.
                        type: string
                        format: uuid
                  - type: object
                    properties:
                      error:
                        type: string
                      error_description:
                        type: string
              example:
                error: unauthorized
                error_description: The account is not authorized.
                request_id: 5903c51b-89f0-41a9-a25d-4f39af100353
        '422':
          description: 'Validation error: Invalid email, etc.'
          content:
            application/json:
              schema:
                allOf:
                  - allOf:
                      - description: The default error object.
                        type: object
                        properties:
                          error:
                            description: The error code.
                            type: string
                            enum:
                              - bad_request
                              - invalid_request
                              - unauthorized_client
                              - unauthorized
                              - access_denied
                              - unsupported_response_type
                              - invalid_scope
                              - server_error
                              - temporarily_unavailable
                              - unsupported_grant_type
                              - invalid_grant
                              - invalid_client
                              - conflict
                              - resource_not_found
                              - join_link_expired
                              - traffic_blocked
                              - not_implemented
                          error_description:
                            type: string
                          sub_error:
                            description: The error subcode.
                            type: string
                            nullable: true
                          request_id:
                            description: Unique request identifier.
                            type: string
                            format: uuid
                      - type: object
                        properties:
                          error:
                            type: string
                          error_description:
                            type: string
                          invalid_fields:
                            type: object
                            additionalProperties:
                              type: string
                  - type: object
                    properties:
                      invalid_fields:
                        type: object
                        properties:
                          email:
                            type: string
              example:
                error: invalid_request
                error_description: >-
                  The request is missing a required parameter, includes an
                  invalid parameter value, includes a parameter more than once,
                  or is otherwise malformed.
                invalid_fields:
                  email: invalid email address
                request_id: 5903c51b-89f0-41a9-a25d-4f39af100353
        '500':
          description: Server Error.
          content:
            application/json:
              schema:
                allOf:
                  - description: The default error object.
                    type: object
                    properties:
                      error:
                        description: The error code.
                        type: string
                        enum:
                          - bad_request
                          - invalid_request
                          - unauthorized_client
                          - unauthorized
                          - access_denied
                          - unsupported_response_type
                          - invalid_scope
                          - server_error
                          - temporarily_unavailable
                          - unsupported_grant_type
                          - invalid_grant
                          - invalid_client
                          - conflict
                          - resource_not_found
                          - join_link_expired
                          - traffic_blocked
                          - not_implemented
                      error_description:
                        type: string
                      sub_error:
                        description: The error subcode.
                        type: string
                        nullable: true
                      request_id:
                        description: Unique request identifier.
                        type: string
                        format: uuid
                  - type: object
                    properties:
                      error:
                        type: string
                      error_description:
                        type: string
              example:
                error: server_error
                error_description: >-
                  The server encountered an unexpected condition that prevented
                  it from fulfilling the request.
                request_id: 5903c51b-89f0-41a9-a25d-4f39af100353
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken:
            - accounts.invitations--all:ro
components:
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes: {}
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes: {}

````